Bug 56618 - Rebalance Transaction Window pops up
Rebalance Transaction Window pops up
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: gnucash (Show other bugs)
7.2
All Linux
medium Severity high
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-22 01:05 EST by Joe Acosta
Modified: 2014-03-16 22:24 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-01-28 17:20:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 2001-11-22 01:05:58 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.78 [en] (X11; U; Linux 2.4.13 i686)

Description of problem:
The rebalance transaction window pops up and zeros out the current
transaction.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.using a previous verions of gnucash with checking and savings accounts
2. upgrade the system to RH 7.2
3.open up a bank account and add a tranaction.
4.click somewhere else on the window
5. a popup window "Adjust current account split total" is the selected
option
6. select this and watch it zero out the transaction
7.the only way around this is to kil the popup window, however this will
set the cursor back to the place where it was and if you click it somewhere
else then it will popup the window again
	

Additional info:
Comment 1 Joe Acosta 2001-12-09 02:01:37 EST
1. start gnucash
2. select new file
3. on the window that pops up click next
4. then next again
5. select NOTHING and click next
6. again do nothing but select next
7 . click finish

you should have no account.

now 
8. create a simple bank account by clicking on account - > new account
9. give it a name like foo
10 . click ok

now 
11. double click on foo and add 100 dollars deposit
12. hit enter

rebalance transaction window pops up

if you select "Adjust current account split total"  then it zeros the account
if you select "Let GNUCash add an adjusting split" then it creates an imbalance
account
if you select "Balance it manually" then it puts you back in the same spot you
were in in the same transaction

why do I need to balance a bank account like it was a general ledger?  

in previous versions of gnucash one could do this without the rebalance
transaction window poping up

this is an annoyance, one should not have to account for every dollar they debit
or credit in a check book.  the window does nothing if you kill the windo

there should be either no tracking of this or a default HIDDEN background
account that handles this, without user interaction.  

At least ther ehsoudl be an option to turn this on or off

Comment 2 Bill Nottingham 2005-01-28 17:20:59 EST
Closing bugs from older, end-of-life releases. Apologies for any lack of response.

Please attempt to reproduce problems on a current distro, such as Fedora Core 3.

Note You need to log in before you can comment on or make changes to this bug.